Recurring
Recurring status
Retrieve the current state of a recurring billing series, including schedule details, payment history, and upcoming transactions.
GET
/
v1
/
payments
/
recurring
/
status
/
{terminal_friendly_id}
cURL
curl --request GET \
--url https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://terminal.smartretry.com/v1/payments/recurring/status/{terminal_friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recurring_id": "<string>",
"order_id": "<string>",
"status": "active",
"recurring": {
"status": "active",
"managed_by": "merchant",
"completed_payments": 1,
"first_payment_date": "<string>",
"recurring_date_type": "daily",
"time_interval": 2,
"number_of_payments": 2,
"cancellation_date": "<string>",
"remaining_payments": 1
},
"payment_instrument": {
"token": "<string>",
"payment_method": "cards",
"card_cardholder_name": "<string>",
"card_card_last_four_digit": "<string>",
"card_bin": "<string>",
"expiration_date": "<string>",
"card_profile": {
"fingerprint": "<string>",
"brand": {
"name": "<string>"
},
"issuer": {
"name": "<string>",
"description": "<string>"
},
"category": "<string>",
"cardType": "DEBIT",
"panLength": 16,
"cardUsage": "<string>"
}
},
"payer": {
"friendly_id": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_username": "<string>",
"email_domain": "<string>",
"phone_number": "<string>",
"national_id": "<string>"
},
"future_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>"
}
],
"completed_transactions": [
{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>",
"executed_transaction": "<string>",
"executed_at": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "<string>",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "<string>",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "<string>",
"instance": "<string>",
"context": {}
}Retrieve a recurring series by the required
recurring_id query parameter. The response includes
its configuration, payment instrument, payer, pending future transactions, and completed
transactions.Authorizations
Path Parameters
The unique identifier of the terminal.
Required string length:
6Pattern:
^[\dA-Za-z]{6}$Query Parameters
The recurring series identifier.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Response
Default Response
The recurring series identifier.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$The order linked to this recurring series.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Available options:
active, paused, cancelled, completed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
